"
 COPYRIGHT (c) 2002 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

RangeError subclass:#OverflowError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!OverflowError class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2002 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    raised when the function-result overflows the allowed range,
    or when some integer cannot be represented as instance of a particular
    floating point format (Float overflow).

    This error is usually proceedable and INF is returned as result then.
"
! !

!OverflowError class methodsFor:'initialization'!

initialize
    NotifierString := 'overflow'.
! !

!OverflowError class methodsFor:'documentation'!

version
    ^ '$Header$'
! !


OverflowError initialize!
